# x2sys_put

Update track index database from track bin file

## Synopsis

gmt x2sys_put [ info.tbf ] -T TAG [ -D ] [ -F ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

x2sys_put accepts a track bin-index file created by x2sys_binlist and adds this information about the data tracks to the relevant data base. You may chose to overwrite existing data with new information for older tracks (-F) and even completely remove information for certain tracks (-D). The x2sys TAG must match the tag encoded in the info.tbf file. To inquire about tracks in the data base, use x2sys_get.

## Required Arguments

info.tbf

  Name of a single track bin file. If not given, standard input will be read.

-T TAG

  Specify the x2sys TAG which identifies the attributes of this data type.

## Optional Arguments

-D

  Delete all tracks found in the track bin file [Default will try to add them as new track entries].

-F

  Replace any existing database information for these tracks with the new information in the track bin file [Default refuses to process tracks already in the database].

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To add the information stored in the track bin-index file latest.tbf to the track data bases associated with the tag MGD77, and replace any exiting information for these tracks, try

    gmt x2sys_put latest.tbf -F -V -TMGD77

## X2sys Databases

The x2sys_put utility adds new information to the x2sys data bases. These consists of two files: The first file contains a listing of all the tracks that have been added to the system; it is named TAG_tracks.txt and is in ASCII format. The second file is named TAG_index.b and is in native binary format. It contains information on which tracks cross each of the bins, and what data sets were observed while crossing the bin. The bins are defined by the -R and -I options passed to x2sys_init when the TAG was first initiated. Both data base files are stored in the $X2SYS_HOME/TAG directory. Do not attempt to edit these files by hand.

## References

Wessel, P. (2010), Tools for analyzing intersecting tracks: the x2sys package. Computers and Geosciences, 36, 348-354, https://www.researchgate.net/publication/220164039_Tools_for_analyzing_intersecting_tracks_The_x2sys_package.

Wessel, P. (1989), XOVER: A cross-over error detector for track data, Computers and Geosciences, 15(3), 333-346, https://doi.org/10.1016/0098-3004(89)90044-7.

## See Also

x2sys_binlist, x2sys_get